#
# spec file for package libnscd
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libnscd
%define lname	libnscd1
Version:        2.0.2
Release:        140.3
Summary:        Library to Allow Applications to Communicate with nscd
License:        LGPL-2.1-only
Group:          Development/Libraries/C and C++

Source:         http://ftp.suse.com/pub/people/kukuk/libnscd/libnscd-%version.tar.bz2
Source2:        baselibs.conf
Patch0:         decls.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# bug437293
%ifarch ppc64
Obsoletes:      libnscd-64bit
%endif

%description
This library provides an interface for applications to NSCD (Name
Service Cache Daemon) and allows those applications, to flush the cache
for special services, if they have the necessary permissions.

%package -n %lname
Summary:        Library to Allow Applications to Communicate with nscd
# O/P added for 13.1
License:        LGPL-2.1-only
Group:          System/Libraries
Obsoletes:      libnscd < %version-%release
Provides:       libnscd = %version-%release

%description -n %lname
This library provides an interface for applications to NSCD (Name
Service Cache Daemon) and allows those applications, to flush the
cache for special services, if they have the necessary permissions.

%package devel
Summary:        Development files for libnscd
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
# bug437293
%ifarch ppc64
Obsoletes:      libnscd-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that needs to communicate with a running nscd.

%prep
%autosetup -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%check
make check

%install
%make_install
rm -fv %{buildroot}%{_libdir}/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc COPYING.LIB README NEWS
%{_libdir}/libnscd.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libnscd.so
%{_mandir}/man3/nscd_flush_cache.3*

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Tue Sep 12 2017 jengelh@inai.de
- Drop ineffective --with-pic. Replace old RPM macros by new
  constructs. The package summary was updated.
* Wed Jul  5 2017 schwab@suse.de
- decls.patch: fix missing declarations
* Mon Aug 18 2014 fcrozat@suse.com
- Fix obsoletes in baselibs.conf
* Sat Jul  6 2013 jengelh@inai.de
- Implement shlib package naming guidelines
- Remove redundant %%clean section
* Tue Feb  7 2012 crrodriguez@opensuse.org
- put library back into %%{_libdir} , /usr merge.
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Mon Dec 14 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Thu May  7 2009 crrodriguez@suse.de
- disable static libraries
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Nov 29 2006 kukuk@suse.de
- Update to version 2.0.2 (fix memory leak)
* Thu Oct  5 2006 kukuk@suse.de
- Update to version 2.0.1 (Makefile fixes)
* Sat Jun  3 2006 kukuk@suse.de
- Update to version 2.0 (manual page, new nscd features)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 22 2005 kukuk@suse.de
- libtool is crap
* Tue Feb 22 2005 kukuk@suse.de
- Update to libnscd 1.1 (fix interface to nscd) [#65748]
* Tue Sep 14 2004 kukuk@suse.de
- Initial release
